Bug 733506 - FormatCreateError: ('format failed: 1', '/dev/sda2')
Summary: FormatCreateError: ('format failed: 1', '/dev/sda2')
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ceed986447d823aa7de0f2417f8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-25 20:18 UTC by opus
Modified: 2013-02-13 08:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 08:30:23 UTC


Attachments (Terms of Use)

Description opus 2011-08-25 20:18:31 UTC
abrt version: 2.0.5
executable:     /usr/bin/python
hashmarkername: anaconda
kernel:         3.0.0-1.fc16.x86_64
product:        Fedora
reason:         FormatCreateError: ('format failed: 1', '/dev/sda2')
time:           Thu Aug 25 22:18:00 2011
version:        16-Alpha

description:
:The following was filed automatically by anaconda:
:anaconda 16.14.6 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/formats/fs.py", line 379, in doFormat
:    raise FormatCreateError("format failed: %s" % ret.rc, self.device)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/formats/fs.py", line 855, in create
:    return self.doFormat(*args, **kwargs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 429, in execute
:    options=self.device.formatArgs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 316, in processActions
:    action.execute(intf=self.intf)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 383, in doIt
:    self.devicetree.processActions()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/packages.py", line 122, in turnOnFilesystems
:    anaconda.storage.doIt()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 348, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 235, in go_forward
:    self.dispatch()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1198, in nextClicked
:    self.anaconda.dispatch.go_forward()
:FormatCreateError: ('format failed: 1', '/dev/sda2')

Comment 1 Chris Lumens 2011-09-05 19:14:18 UTC
Please attach /tmp/anaconda-tb-* to this bug report so we have enoug information to go on.  Thanks.

Comment 2 Nico de Wet 2012-01-12 08:34:53 UTC
Please see bug #638910 and bug #650626

Comment 3 R. G. Newbury 2012-11-15 17:59:10 UTC
This is still around. Attempted install of F17 from LiveCD created Tuesday. I filed an automatic report.
Further background. In my case I was attempting to retain the contents of /var. I over-rode the 'you should format this' and continued.

First attempt failed, with myriad 'errno 17' errors (file exists). Anaconda borked on the (pre)existance of /var/lib/mysql /var/run etc. etc. (I filed that report too). No error checking????

Second attempt triggered bug #638910, as I used the LiveCD to copy off /var/lib/mysql and /var/www/html elsewhere *and did not unmount /mnt/var (dev/sda5). No error checking??? And I had to google here to understand the error... useless error message.

Third attempt got me this error. NO idea why. useless error message. I used parted to remove and recreate /dev/sda5. And finally the install from the LiveCD completed. 

Between yesterday and today, I have probably had 15 failed attempts at installation. It seems that anaconda is *regressing* and the proposals for anaconda in F18 are even worse: you might not be able to preserve you partitions.

I don't mind if F18 is delayed. It should work first!

Comment 4 David Lehman 2012-11-15 18:59:55 UTC
(In reply to comment #3)
> installation. It seems that anaconda is *regressing* and the proposals for
> anaconda in F18 are even worse: you might not be able to preserve you
> partitions.

Where did you get that nugget from? It wasn't possible to reuse existing filesystems during alpha development but it was never stated that the same would be true for the final release. No need to answer, really. Preserving your partitions is supported in the current beta versions to the same extent it always has been supported in anaconda.

Comment 5 Fedora End Of Life 2013-01-16 10:10:04 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Fedora End Of Life 2013-02-13 08:30:27 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.